javax.swing.plaf.basic

## Class BasicTreeUI.KeyHandler

- java.lang.Object
- - java.awt.event.KeyAdapter
  - - javax.swing.plaf.basic.BasicTreeUI.KeyHandler

All Implemented Interfaces:
  KeyListener, EventListener

Enclosing class:
  BasicTreeUI

    public class BasicTreeUI.KeyHandler
    extends KeyAdapter

This is used to get mutliple key down events to appropriately generate events.

### Field Summary

Fields
`protected boolean` `isKeyDown` Set to true while keyPressed is active.
`protected Action` `repeatKeyAction` Key code that is being generated for.

### Constructor Summary

Constructors
Constructor and Description
`BasicTreeUI.KeyHandler()`

### Method Summary

Methods
`void` `keyPressed(KeyEvent e)` Invoked when a key has been pressed.
`void` `keyReleased(KeyEvent e)` Invoked when a key has been released.
`void` `keyTyped(KeyEvent e)` Invoked when a key has been typed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### repeatKeyAction

    protected Action repeatKeyAction

Key code that is being generated for.

#### isKeyDown

    protected boolean isKeyDown

Set to true while keyPressed is active.

### Constructor Detail

#### BasicTreeUI.KeyHandler

    public BasicTreeUI.KeyHandler()

### Method Detail

#### keyTyped

    public void keyTyped(KeyEvent e)

Invoked when a key has been typed. Moves the keyboard focus to the first element whose first letter matches the alphanumeric key pressed by the user. Subsequent same key presses move the keyboard focus to the next object that starts with the same letter.

Specified by:
  `keyTyped` in interface `KeyListener`
Overrides:
  `keyTyped` in class `KeyAdapter`

#### keyPressed

    public void keyPressed(KeyEvent e)

Description copied from class: `KeyAdapter`
Invoked when a key has been pressed.

Specified by:
  `keyPressed` in interface `KeyListener`
Overrides:
  `keyPressed` in class `KeyAdapter`

#### keyReleased

    public void keyReleased(KeyEvent e)

Description copied from class: `KeyAdapter`
Invoked when a key has been released.

Specified by:
  `keyReleased` in interface `KeyListener`
Overrides:
  `keyReleased` in class `KeyAdapter`

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.